<!--
 - Copyright (C) 2004, 2005 Internet Systems Consortium, Inc. ("ISC")
 - Copyright (C) 2000, 2001 Internet Software Consortium.
 - 
 - Permission to use, copy, modify, and distribute this software for any
 - purpose with or without fee is hereby granted, provided that the above
 - copyright notice and this permission notice appear in all copies.
 - 
 - THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
 - REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 - AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
 - INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 - LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 - OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 - PERFORMANCE OF THIS SOFTWARE.
-->
<!-- $Id: lwres_hstrerror.html,v 1.5.2.1.4.12 2006/06/29 13:02:31 marka Exp $ -->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>lwres_hstrerror</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="refentry" lang="en">
<a name="id2482688"></a><div class="titlepage"></div>
<div class="refnamediv">
<h2>Name</h2>
<p>lwres_herror, lwres_hstrerror &#8212; lightweight resolver error message generation</p>
</div>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="funcsynopsis">
<pre class="funcsynopsisinfo">#include &lt;lwres/netdb.h&gt;</pre>
<p><code class="funcdef">
void
<b class="fsfunc">lwres_herror</b>(</code>const char *s<code>)</code>;</p>
<p><code class="funcdef">
const char *
<b class="fsfunc">lwres_hstrerror</b>(</code>int err<code>)</code>;</p>
</div>
</div>
<div class="refsect1" lang="en">
<a name="id2549424"></a><h2>DESCRIPTION</h2>
<p>
<code class="function">lwres_herror()</code> prints the string
<em class="parameter"><code>s</code></em> on <span class="type">stderr</span> followed by the string
generated by <code class="function">lwres_hstrerror()</code> for the error code
stored in the global variable <code class="constant">lwres_h_errno</code>.
</p>
<p>
<code class="function">lwres_hstrerror()</code> returns an appropriate string
for the error code gievn by <em class="parameter"><code>err</code></em>.  The values of
the error codes and messages are as follows:

</p>
<div class="variablelist"><dl>
<dt><span class="term"><span class="errorcode">NETDB_SUCCESS</span></span></dt>
<dd><p>
<span class="errorname">Resolver Error 0 (no error)</span>
</p></dd>
<dt><span class="term"><span class="errorcode">HOST_NOT_FOUND</span></span></dt>
<dd><p>
<span class="errorname">Unknown host</span>
</p></dd>
<dt><span class="term"><span class="errorcode">TRY_AGAIN</span></span></dt>
<dd><p>
<span class="errorname">Host name lookup failure</span>
</p></dd>
<dt><span class="term"><span class="errorcode">NO_RECOVERY</span></span></dt>
<dd><p>
<span class="errorname">Unknown server error</span>
</p></dd>
<dt><span class="term"><span class="errorcode">NO_DATA</span></span></dt>
<dd><p>
<span class="errorname">No address associated with name</span>
</p></dd>
</dl></div>
<p>
</p>
</div>
<div class="refsect1" lang="en">
<a name="id2549536"></a><h2>RETURN VALUES</h2>
<p>
The string <span class="errorname">Unknown resolver error</span> is returned by
<code class="function">lwres_hstrerror()</code>
when the value of
<code class="constant">lwres_h_errno</code>
is not a valid error code.
</p>
</div>
<div class="refsect1" lang="en">
<a name="id2549555"></a><h2>SEE ALSO</h2>
<p>
<span class="citerefentry"><span class="refentrytitle">herror</span>(3)</span>,

<span class="citerefentry"><span class="refentrytitle">lwres_hstrerror</span>(3)</span>.
</p>
</div>
</div></body>
</html>
